﻿#language: ru

Функционал: Выпуск сыра через комплектацию с нормативным списанием

Сценарий: Выпуск сыра через комплектацию с нормативным списанием
	Дано Я подключаюсь под "Бригада на комплектации"
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'      |
	И я нажимаю на кнопку 'Выбрать'
	И я нажимаю на кнопку "Поштучный выпуск"
	Тогда открылось окно "Поштучный выпуск*"
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И     элемент формы с именем "ДекорацияВыбраннаяНоменклатура" стал равен 'Российский 50% / Созревший / 12.03.2019/1'
	И     элемент формы с именем "НоменклатураКороба" стал равен 'Короб'
	И     элемент формы с именем "ВыбраннаяУпаковка" стал равен 'упак (7 кг)'
	И я нажимаю на кнопку 'КомандаУстановитьСсылкуНовогоПаллета'
	И в поле с именем 'ВесВесов' я ввожу текст '2,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1:R1C9"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно "Поштучный выпуск*"
	И я закрываю окно "Поштучный выпуск*"
	И я нажимаю на кнопку "Выпуск в коробах"
	Тогда открылось окно "Выпуск в коробах*"
	И Пауза 1
	И я нажимаю кнопку выбора у поля "Короб"
	Тогда открылось окно 'Номенклатура'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И Пауза 1
	И я нажимаю на кнопку с именем "КомандаПриступить"
	И я нажимаю на кнопку 'КомандаУстановитьСсылкуНовогоПаллета'
	И     элемент формы с именем "ДекорацияВыбраннаяНоменклатура" стал равен 'Российский 50% / Созревший / 12.03.2019/1'
	И     элемент формы с именем "НоменклатураКороба" стал равен 'Короб'
	И     элемент формы с именем "ВыбраннаяУпаковка" стал равен 'упак (7 кг)'
	И в поле с именем 'ВесВесов' я ввожу текст '3,000'
	И я перехожу к следующему реквизиту
	Тогда открылось окно 'Печать документа'
	И в табличном документе 'ТекущаяПечатнаяФорма' я перехожу к ячейке "R1C1:R1C9"
	И Я закрываю окно 'Печать документа'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаПечатьЭтикеткиПаллета'
	Тогда открылось окно 'Печать комплекта'
	И в таблице "НастройкиПечатныхФорм" я перехожу к строке:
		| 'Копий' | 'Печатать' | 'Печатная форма'                  |
		| '1'     | 'Да'       | 'Спецификация упаковочного листа' |
	И Я закрываю окно 'Печать комплекта'
	Тогда открылось окно "Выпуск в коробах*"
	И я нажимаю на кнопку 'КомандаЗаписатьПаллетыИКороба'
	Тогда открылось окно 'Введите вес брутто для *"'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Печать комплекта'
	И Я закрываю окно 'Печать комплекта'
	Тогда открылось окно "Выпуск в коробах*"
	И я меняю значение переключателя 'ВидОперации' на 'Брак'
	И я нажимаю на кнопку 'КомандаДобавитьБрак'
	И в поле с именем 'ВесВесовБрак' я ввожу текст '2,000'
	И я перехожу к следующему реквизиту
	И в таблице "Брак" я нажимаю кнопку выбора у реквизита "Причина"
	Тогда открылось окно 'Причины брака'
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно "Выпуск в коробах*"
	И в таблице "Брак" я завершаю редактирование строки
	И я нажимаю на кнопку 'КомандаСохранитьБрак'
	И я закрываю окно "Выпуск в коробах*"

Сценарий: 10_milk_scenario.05.007 Закрытие клиента тестирования Бригада на комплектации
	И я закрываю сеанс TESTCLIENT